Documentation Index
Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
Use this file to discover all available pages before exploring further.
After a case is created, it goes through multiple result types and statuses.
Result type
The following table lists the possible types of results for a case. The case result and its ID appear respectively as resultType and resultTypeId in the response body of API endpoints like GET /case/id/{caseId}.
| Case result | ID | Description |
|---|
| Open | 8c94f0d9-57c9-4c7b-be95-5ec309cff330 | Case is ordered, processing, or pending review |
| Placed | bbbd9fa2-598f-43f6-8363-b8b55e7aa777 | Case is complete, and candidate meets hiring criteria |
| Pre-Adverse Action | 14bba02d-e6c7-45bf-a993-e28c306303c6 | Case entered an adverse action flow |
| Dispute Adverse Action | result-type-dispute-adverse | Case is being disputed |
| Adverse Action | d082a629-5dff-4303-83ae-897776ebcb17 | Case is complete, and candidate didn’t meet hiring criteria |
Primary status
The following table lists the possible statuses for a case. The case status and its ID appear respectively as caseStatus and caseStatusId in the response body of API endpoints like GET /case/id/{caseId}.
| Primary case status | ID | Description |
|---|
| Pending | d894b8a0-937e-46b1-8799-15bad611844f | In progress |
| Blocked | 93827364-937e-46b1-8799-777366485997 | Blocked until KarmaCheck reviews |
| Complete | 22334455-937e-46b1-8799-887766554433 | Done |
| Adjudicated | 47463524-937e-46b1-8799-873f63e7b402 | Decision made |
Secondary status
The following table lists the possible secondary statuses for a case. The secondary status and its ID appear respectively as secondaryStatus and secondaryCaseStatusId in the response body of API endpoints like GET /case/id/{caseId}.
| Secondary case status | ID | Description |
|---|
| Waiting for Authorization | 8e0c9756-a42f-4a7d-b8e2-412a0f6b9dea | Candidate has yet to start onboarding |
| Authorization in Progress | c5f240cb-5221-451c-8bd1-4be5bf348ce5 | Candidate started onboarding |
| Waiting for Parental Consent | b2c707af-091f-4d07-9546-4a1453f939e5 | Parental consent is required before processing can begin |
| Verifying Candidate Input | status-type-verifying-cand-input | KarmaCheck Support is reviewing the candidate-provided data |
| Reviewing Order | status-type-reviewing-order | KarmaCheck Support is reviewing the provided candidate data |
| Consider | status-type-consider | Processing is complete and case needs review |
| Canceled | 4155584b-708c-4108-86a8-8f3321b9b17c | Case canceled before processing began |
Adverse action status
The following table lists the possible statuses for an adverse action on a case. The adverse action status and its ID appear respectively as adverseActionStatusName and adverseActionStatusId in the response body of API endpoints like GET /case/id/{caseId}.
| Adverse action status | ID | Description |
|---|
| Pre-Adverse | bb34dc52-4e3b-4baf-8e0b-b6603f9e2a84 | Adverse action flow initiated |
| Dispute | ebbcb8e0-a0e7-43fb-930e-e52db4032d47 | Adverse action disputed by candidate |
| Cancel | d61950cb-00aa-4839-9da5-0c97f236c813 | Adverse action canceled |
| Post | fb32cc36-7eb6-47fa-ad4a-2635e99f197a | Adverse decision made |